
function [] = my_pcolor_rho(dt,dz,rho,rho0)
for i=1:size(rho,2)
    [foo ,~] = find(abs(rho(:,i)-rho0)<0.3,1,'first');
%     [foo2 ,~] = find(~isnan(dz(:,i)),1,'first');
    if isempty(foo) 
%         || foo2 == foo
        my_z0(i) = NaN;
    else
        my_z0(i) = dz(foo);
    end
end

pcolor(dt,dz,rho)
shading flat
hold on
plot(dt,my_z0,'-k','linewidth',2)
set(gca,'ydir','reverse');
datetick('x','mmm')
axis tight
ylim([0 60])
colormap('jet')
h= colorbar;
caxis([1020 1027]);
% contour(dt,dz,rho,[1022 1022],'-k','linewidth',3)
ylabel(h,'Density kg m^-^3')
end