
function [] = my_pcolor_rho_data(dt,dz,rho,rho0,f_val)
for i=1:size(rho,2)
    [foo ,~] = find(abs(rho(:,i)-rho0)<0.4,1,'first');
    [foo2(i) ,~] = find(~isnan(dz(:,i)),1,'first');
    if isempty(foo)
        my_z0(i) = NaN;
    else
        my_z0(i) = dz(foo);
    end
end


pcolor(dt,dz,rho)
hold on
shading flat
hold on
plot(dt,my_z0,'-k','linewidth',2)
set(gca,'ydir','reverse');
datetick('x','mmm')
axis tight
ylim([0 60])
colormap('jet')
hold on
h= colorbar;
caxis([1020 1027]);
% contour(dt,dz,rho,[1022 1022],'-k','linewidth',3)
ylabel(h,'Density kg m^-^3')
set(gca,'color','black')

end