clc;clear;close all;

cd ('raw_in/')
    load('ITP35_d150f_Sept12d_smth.mat');
load ('/media/arash/SSD128/Post proc/inputs/constants/coord_t.mat')

cd ..
output_address = pwd;

dt = 1;
s_start = datenum(2006,1,1);
s_end = datenum(2013,9,1);
s_t_vec = s_start:dt:s_end;
d_st = floor(d150.tstart(1));
d_end = floor(d150.tstart(end));

sim_ind_st = find(s_t_vec == d_st,1,'first');
sim_ind_end = find(s_t_vec == d_end,1,'first');
sim_ind_range = sim_ind_st:sim_ind_end;
sim.dz = -ncread('/media/arash/SSD512/Post proc/inputs/T40/grid.glob.nc','RC');
dz_range = 1:30;

input_address = ('/media/arash/Dell Portable Hard Drive/T32');
cd(input_address)
u_m = matfile('u_field_m_t.mat');
v_m = matfile('v_field_m_t.mat');
T_m = matfile('theta_field_t.mat');
s_m = matfile('salt_field_t.mat');
ui_m = matfile('iu_field_m_t.mat');
vi_m = matfile('iv_field_m_t.mat');
hi_m = matfile('i_heff_t.mat');
ai_m = matfile('i_area_t.mat');
eta_m = matfile('etan_t.mat');
sim_36km_old.u_r = squeeze(mean(u_m.u_field_m_t(:,:,dz_range,sim_ind_range),4));
sim_36km_old.v_r = squeeze(mean(v_m.v_field_m_t(:,:,dz_range,sim_ind_range),4));
sim_36km_old.T = squeeze(mean(T_m.theta_field_t(:,:,dz_range,sim_ind_range),4));
sim_36km_old.s = squeeze(mean(s_m.salt_field_t(:,:,dz_range,sim_ind_range),4));
sim_36km_old.ui_r = squeeze(mean(ui_m.iu_field_m_t(:,:,sim_ind_range),3));
sim_36km_old.vi_r = squeeze(mean(vi_m.iv_field_m_t(:,:,sim_ind_range),3));
sim_36km_old.hi = squeeze(mean(hi_m.i_heff_t(:,:,sim_ind_range),3));
sim_36km_old.ai = squeeze(mean(ai_m.i_area_t(:,:,sim_ind_range),3));
sim_36km_old.eta = squeeze(mean(eta_m.etan_t(:,:,sim_ind_range),3));
sim_36km_old.lat = lat_t;
sim_36km_old.lon = lon_t;
sim_36km_old.dz = sim.dz(1:30); 
cd (output_dir);
save('sim_36km_old','sim_36km_old','-v7.3');

input_address = ('/media/arash/SSD512/Post proc/inputs/T40');
cd(input_address)
u_m = matfile('u_field_m_t.mat');
v_m = matfile('v_field_m_t.mat');
T_m = matfile('theta_field_t.mat');
s_m = matfile('salt_field_t.mat');
ui_m = matfile('iu_field_m_t.mat');
vi_m = matfile('iv_field_m_t.mat');
hi_m = matfile('i_heff_t.mat');
ai_m = matfile('i_area_t.mat');
eta_m = matfile('etan_t.mat');
sim_36km_new.u_r = squeeze(mean(u_m.u_field_m_t(:,:,dz_range,sim_ind_range),4));
sim_36km_new.v_r = squeeze(mean(v_m.v_field_m_t(:,:,dz_range,sim_ind_range),4));
sim_36km_new.T = squeeze(mean(T_m.theta_field_t(:,:,dz_range,sim_ind_range),4));
sim_36km_new.s = squeeze(mean(s_m.salt_field_t(:,:,dz_range,sim_ind_range),4));
sim_36km_new.ui_r = squeeze(mean(ui_m.iu_field_m_t(:,:,sim_ind_range),3));
sim_36km_new.vi_r = squeeze(mean(vi_m.iv_field_m_t(:,:,sim_ind_range),3));
sim_36km_new.hi = squeeze(mean(hi_m.i_heff_t(:,:,sim_ind_range),3));
sim_36km_new.ai = squeeze(mean(ai_m.i_area_t(:,:,sim_ind_range),3));
sim_36km_new.eta = squeeze(mean(eta_m.etan_t(:,:,sim_ind_range),3));
sim_36km_new.lat = lat_t;
sim_36km_new.lon = lon_t;
sim_36km_new.dz = sim.dz(1:30); 
cd (output_dir);
save('sim_36km_new','sim_36km_new','-v7.3');

