clear;clc;close all;
load('local_out/mooring_9km.mat');
load('raw_in/ptAB.mat');


%{[74.9996116666667,-149.977578333333],[77.9885433333333,-149.969960000000],
% [74.0010500000000,-139.991331666667],[74.9996116666667,-149.977578333333],
% [78.0044800000000,-149.977301666667],[73.9937133333333,-139.981061666667],
% [77.9999216666667,-149.998736666667],[73.9939166666667,-139.980611666667]}


mooring_2km.loc{1} = [ptAB.lat(1) ptAB.lon(1)];
mooring_2km.loc{2} = [ptAB.lat(2) ptAB.lon(2)];
mooring_2km.loc{3} = [ptAB.lat(3) ptAB.lon(3)];
mooring_2km.loc{4} = [ptAB.lat(1) ptAB.lon(1)];
mooring_2km.loc{5} = [ptAB.lat(2) ptAB.lon(2)];
mooring_2km.loc{6} = [ptAB.lat(3) ptAB.lon(3)];
mooring_2km.time = ptAB.time(:,6);
mooring_2km.name = mooring_9km.name;

for n = 1:3
    mooring_2km.s.u{n}=ptAB.AngleCS(n).*squeeze(ptAB.U(n,:,:))...
        -ptAB.AngleSN(n).*squeeze(ptAB.V(n,:,:));
    mooring_2km.s.v{n}=ptAB.AngleSN(n).*squeeze(ptAB.U(n,:,:))...
        +ptAB.AngleCS(n).*squeeze(ptAB.V(n,:,:));
end


mooring_2km.s.s{1} = squeeze(ptAB.Salt(1,:,:));
mooring_2km.s.s{2} = squeeze(ptAB.Salt(2,:,:));
mooring_2km.s.s{3} = squeeze(ptAB.Salt(3,:,:));
mooring_2km.s.s{4} = squeeze(ptAB.Salt(1,:,:));
mooring_2km.s.s{5} = squeeze(ptAB.Salt(2,:,:));
mooring_2km.s.s{6} = squeeze(ptAB.Salt(3,:,:));
mooring_2km.s.t{1} = squeeze(ptAB.Theta(1,:,:));
mooring_2km.s.t{2} = squeeze(ptAB.Theta(2,:,:));
mooring_2km.s.t{3} = squeeze(ptAB.Theta(3,:,:));
mooring_2km.s.t{4} = squeeze(ptAB.Theta(1,:,:));
mooring_2km.s.t{5} = squeeze(ptAB.Theta(2,:,:));
mooring_2km.s.t{6} = squeeze(ptAB.Theta(3,:,:));
mooring_2km.s.dz = ptAB.depth;

save('local_out/mooring_2km','mooring_2km');
