clear;clc;close all;

cd local_out/;addpath('../local_fun');
load('mooring_36km.mat');load('mooring_9km.mat');load('mooring_2km.mat');

%%% 1,4 ; 2,5; 3;6 are same moorings. lets cat them

%%% doing data first
mooring_c.d.time{1} = cat(1,datenum(mooring_9km.d.time{1}),datenum(mooring_9km.d.time{4}));
mooring_c.d.time{2} = cat(1,datenum(mooring_9km.d.time{2}),datenum(mooring_9km.d.time{5}));
mooring_c.d.time{3} = cat(1,datenum(mooring_9km.d.time{3}),datenum(mooring_9km.d.time{6}));
for n=1:3
    mooring_c.name{n} = mooring_9km.name{n};
    mooring_c.loc{n}=mooring_9km.loc{n};
    mooring_c.dz{n}=mooring_9km.d.dz{n};
end
mooring_c.d.u = my_cat_mooring_d(mooring_9km.d.u);
mooring_c.d.v = my_cat_mooring_d(mooring_9km.d.v);
%%% now simulation results 36km
mooring_36km.s.t = mooring_36km.s.T;
mooring_c.s36 = my_cat_mooring_s(mooring_36km.s);
mooring_c.s36.dz = mooring_9km.s.dz;

%%% now simulation results 9km
mooring_9km.s.t = mooring_9km.s.T;
mooring_c.s9 = my_cat_mooring_s(mooring_9km.s);
mooring_c.s9.dz = mooring_9km.s.dz;

%%% now simulation results 2km
for n=1:3
    mooring_c.s2.u{n} = mooring_2km.s.u{n};
    mooring_c.s2.v{n} = mooring_2km.s.v{n};
    mooring_c.s2.s{n} = mooring_2km.s.s{n};
    mooring_c.s2.t{n} = mooring_2km.s.t{n};
end
mooring_c.s2.time = mooring_2km.time;
mooring_c.s2.dz = mooring_2km.s.dz;
save('mooring_c','mooring_c')