% % % Step09
clear;clc;close all;
load('local_out/mooring_fianl.mat');

for n=1:3
    for i = 1:size(mooring_final.s36.s{n},2)
        
        SA_36km = gsw_SA_from_SP(mooring_final.s36.s{n}(:,i),...
            -mooring_final.s36.dz,mooring_final.loc{n}(2),mooring_final.loc{n}(1));
        CT_36km = gsw_CT_from_t(SA_36km,mooring_final.s36.t{n}(:,i),...
            -mooring_final.s36.dz);
        mooring_final.s36.rho{n}(:,i) = gsw_rho(SA_36km,CT_36km,-mooring_final.s36.dz);
        
        SA_9km = gsw_SA_from_SP(mooring_final.s9.s{n}(:,i),...
            -mooring_final.s9.dz,mooring_final.loc{n}(2),mooring_final.loc{n}(1));
        CT_9km = gsw_CT_from_t(SA_9km,mooring_final.s9.t{n}(:,i),...
            -mooring_final.s9.dz);
        mooring_final.s9.rho{n}(:,i) = gsw_rho(SA_9km,CT_9km,-mooring_final.s9.dz);
        
        SA_2km = gsw_SA_from_SP(mooring_final.s2.s{n}(:,i),...
            mooring_final.s2.dz',mooring_final.loc{n}(2),mooring_final.loc{n}(1));
        CT_2km = gsw_CT_from_t(SA_2km,mooring_final.s2.t{n}(:,i),...
            mooring_final.s2.dz');
        mooring_final.s2.rho{n}(:,i) = gsw_rho(SA_2km,CT_2km,mooring_final.s2.dz');
    end
end
save('local_out/mooring_final_rho','mooring_final')