function [sim] = read_9k_horiz(input_address)
% function [sim] = glue_9km(input_adress)
cd(input_address)
load('/media/arash/Arash1/T34_post/code_constants/my_grid')
load('/media/arash/Arash1/T34_post/code_constants/msturuct');
load('/media/arash/SSD512/Post proc/fwaterPoster_newMCphee/mcphee/raw_in/ITP35_d150f_Sept12d_smth.mat');

d_st = floor(d150.tstart(1));
d_end = floor(d150.tstart(end));
s_tstart_1 = datenum(2009,1,1);
s_tend_1 = datenum(2010,1,0);
s_tstart_2 = datenum(2010,1,1);
s_tend_2 = datenum(2011,1,1);
s_t_vec1 = s_tstart_1:(1/4):s_tend_1;
s_t_vec2 = s_tstart_2:(1/4):s_tend_2;


sim_ind_st = find(s_t_vec1 == d_st,1,'first');
sim_ind_end = find(s_t_vec2 == d_end,1,'first');

sim.dz = -ncread('/media/arash/SSD512/Post proc/inputs/T40/grid.glob.nc','RC');
dz_range = 1:30;

u_m = matfile('UVEL.0003156000.glob.mat');
u_p2 = (u_m.final_m(:,:,dz_range,1:sim_ind_end));
u_m = matfile('UVEL.0002980800.glob.mat');
u_p1 = (u_m.final_m(:,:,dz_range,sim_ind_st:end));
u_g = mean(cat(4,u_p1,u_p2),4);
clear u_p1 u_p2

v_m = matfile('VVEL.0003156000.glob.mat');
v_p2 = (v_m.final_m(:,:,dz_range,1:sim_ind_end));
v_m = squeeze(matfile('VVEL.0002980800.glob.mat'));
v_p1 = (v_m.final_m(:,:,dz_range,sim_ind_st:end));
v_g = squeeze(mean(cat(4,v_p1,v_p2),4));
clear v_p1 v_p2

for i = 1:size(u_g,3)
    [sim.u_r(:,:,i),sim.v_r(:,:,i)] = ...
        getuEvN_uXvY(squeeze(u_g(:,:,i)),squeeze(v_g(:,:,i))...
        ,AngleCS,AngleSN,lon,lat,-1000,1,0);
end

T_m = matfile('THETA.0003156000.glob.mat');
T_p2 = (T_m.final_m(:,:,dz_range,1:sim_ind_end));
T_m = matfile('THETA.0002980800.glob.mat');
T_p1 = (T_m.final_m(:,:,dz_range,sim_ind_st:end));
sim.T = squeeze(mean(cat(4,T_p1,T_p2),4));

s_m = matfile('SALT.0003156000.glob.mat');
s_p2 = (s_m.final_m(:,:,dz_range,1:sim_ind_end));
s_m = matfile('SALT.0002980800.glob.mat');
s_p1 = (s_m.final_m(:,:,dz_range,sim_ind_st:end));
sim.s = squeeze(mean(cat(4,s_p1,s_p2),4));

ui_m = matfile('SIuice.0003156000.glob.mat');
vi_m = matfile('SIvice.0003156000.glob.mat');
hi_m = matfile('SIheff.0003156000.glob.mat');
ai_m = matfile('SIarea.0003156000.glob.mat');
kpp_m = matfile('KPPhbl.0003156000.glob.mat');
eta_m = matfile('ETAN.0003156000.glob.mat');
ui_p2 = (ui_m.final_m(:,:,:,1:sim_ind_end));
vi_p2 = (vi_m.final_m(:,:,:,1:sim_ind_end));
hi_p2 = (hi_m.final_m(:,:,:,1:sim_ind_end));
ai_p2 = (ai_m.final_m(:,:,:,1:sim_ind_end));
kpp_p2 = (kpp_m.final_m(:,:,:,1:sim_ind_end));
eta_p2 = (eta_m.final_m(:,:,:,1:sim_ind_end));

ui_m = matfile('SIuice.0002980800.glob.mat');
vi_m = matfile('SIvice.0002980800.glob.mat');
hi_m = matfile('SIheff.0002980800.glob.mat');
ai_m = matfile('SIarea.0002980800.glob.mat');
kpp_m = matfile('KPPhbl.0002980800.glob.mat');
eta_m = matfile('ETAN.0002980800.glob.mat');
ui_p1 = (ui_m.final_m(:,:,:,sim_ind_st:end));
vi_p1 = (vi_m.final_m(:,:,:,sim_ind_st:end));
hi_p1 = (hi_m.final_m(:,:,:,sim_ind_st:end));
ai_p1 = (ai_m.final_m(:,:,:,sim_ind_st:end));
kpp_p1 = (kpp_m.final_m(:,:,:,sim_ind_st:end));
eta_p1 = (eta_m.final_m(:,:,:,sim_ind_st:end));

ui_g = squeeze(mean(cat(4,ui_p1,ui_p2),4));
vi_g = squeeze(mean(cat(4,vi_p1,vi_p2),4));
[sim.ui_r,sim.vi_r] = getuEvN_uXvY(ui_g,vi_g,AngleCS,AngleSN,lon,lat,-1000,1,0);
sim.hi = squeeze(mean(cat(4,hi_p1,hi_p2),4));
sim.ai = squeeze(mean(cat(4,ai_p1,ai_p2),4));
sim.kpp = squeeze(mean(cat(4,kpp_p1,kpp_p2),4));
sim.eta = squeeze(mean(cat(4,eta_p1,eta_p2),4));
sim.lat = lat;
sim.lon = lon;


end