function mooring = read_mooring
mooring.name = FileIn('BGY');

for i = 1:length(mooring.name);
    
    load(mooring.name{i});
    
    %file name is adcp
    
    mooring.location{i}(1) = adcp.settings.position(1) + adcp.settings.position(2)/60;
    
    if adcp.settings.position(3) <= 0
        
        mooring.location{i}(2) = -(abs(adcp.settings.position(3)) + abs(adcp.settings.position(4)/60));
        
    else
        
        mooring.location{i}(2) = (abs(adcp.settings.position(3)) + abs(adcp.settings.position(4)/60));
        
    end
    
    mooring.dz{i} = adcp.sensor.dz;
    mooring.u{i} = adcp.velocity.u;
    mooring.v{i} = adcp.velocity.v;
    mooring.time{i} = adcp.velocity.time;
    
    clear adcp
end
end
