clear;clc;close all;
load('local_out/mooring_daily.mat')
t_f = datenum(2011,6,1):datenum(2012,6,0);
mooring_final.Time = t_f;
for n = 1:3
    mooring_final.d.dz{n} = mooring_daily.d.dz{n};
    mooring_final.name{n} = mooring_daily.name{n};
    mooring_final.loc{n} = mooring_daily.loc{n};
    for i = 1:size(mooring_daily.d.u{n},1)
        mooring_final.d.u{n}(i,:) = interp1(mooring_daily.d.time{n},mooring_daily.d.u{n}(i,:),t_f);
        mooring_final.d.v{n}(i,:) = interp1(mooring_daily.d.time{n},mooring_daily.d.v{n}(i,:),t_f);
    end
    mooring_final.s36.dz = mooring_daily.s36.dz;
    for i = 1:size(mooring_daily.s36.u{n},1)
        mooring_final.s36.v{n}(i,:) = interp1(mooring_daily.s36.time{n},mooring_daily.s36.v{n}(i,:),t_f);
        mooring_final.s36.u{n}(i,:) = interp1(mooring_daily.s36.time{n},mooring_daily.s36.u{n}(i,:),t_f);
        mooring_final.s36.s{n}(i,:) = interp1(mooring_daily.s36.time{n},mooring_daily.s36.s{n}(i,:),t_f);
        mooring_final.s36.t{n}(i,:) = interp1(mooring_daily.s36.time{n},mooring_daily.s36.t{n}(i,:),t_f);
    end
    mooring_final.s9.dz = mooring_daily.s9.dz;
    for i = 1:size(mooring_daily.s9.u{n},1)
        mooring_final.s9.v{n}(i,:) = interp1(mooring_daily.s9.time{n},mooring_daily.s9.v{n}(i,:),t_f);
        mooring_final.s9.u{n}(i,:) = interp1(mooring_daily.s9.time{n},mooring_daily.s9.u{n}(i,:),t_f);
        mooring_final.s9.s{n}(i,:) = interp1(mooring_daily.s9.time{n},mooring_daily.s9.s{n}(i,:),t_f);
        mooring_final.s9.t{n}(i,:) = interp1(mooring_daily.s9.time{n},mooring_daily.s9.t{n}(i,:),t_f);
    end
    mooring_final.s2.dz = mooring_daily.s2.dz;
    for i = 1:size(mooring_daily.s2.u{n},1)
        mooring_final.s2.v{n}(i,:) = interp1(mooring_daily.s2.time,mooring_daily.s2.v{n}(i,:),t_f);
        mooring_final.s2.u{n}(i,:) = interp1(mooring_daily.s2.time,mooring_daily.s2.u{n}(i,:),t_f);
        mooring_final.s2.s{n}(i,:) = interp1(mooring_daily.s2.time,mooring_daily.s2.s{n}(i,:),t_f);
        mooring_final.s2.t{n}(i,:) = interp1(mooring_daily.s2.time,mooring_daily.s2.t{n}(i,:),t_f);
    end
end

save('local_out/mooring_fianl','mooring_final');